File rubygem-rails-3_2.spec of Package rubygem-rails-3_2

#
# spec file for package rubygem-rails-3_2
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-rails-3_2
Version:        3.2.3
Release:        0
Summary:        Full-stack web application framework
License:        MIT
Group:          Development/Languages/Ruby
Url:            http://www.rubyonrails.org
%define mod_name rails
%define mod_full_name %{mod_name}-%{version}
Source:         %{mod_full_name}.gem
BuildRequires:  ruby-devel >= 1.8.7
BuildRequires:  rubygem-actionmailer-3_2 = 3.2.3
BuildRequires:  rubygem-actionpack-3_2 = 3.2.3
BuildRequires:  rubygem-activerecord-3_2 = 3.2.3
BuildRequires:  rubygem-activeresource-3_2 = 3.2.3
BuildRequires:  rubygem-activesupport-3_2 = 3.2.3
BuildRequires:  rubygem-bundler-1 >= 1.0
BuildRequires:  rubygem-railties-3_2 = 3.2.3
BuildRequires:  rubygems_with_buildroot_patch
Requires:       ruby >= 1.8.7
Requires:       rubygem-actionmailer-3_2 = 3.2.3
Requires:       rubygem-actionpack-3_2 = 3.2.3
Requires:       rubygem-activerecord-3_2 = 3.2.3
Requires:       rubygem-activeresource-3_2 = 3.2.3
Requires:       rubygem-activesupport-3_2 = 3.2.3
Requires:       rubygem-bundler-1 >= 1.0
Requires:       rubygem-railties-3_2 = 3.2.3
Provides:       rubygem-%{mod_name} = %{version}
Provides:       rubygem-%{mod_name}-3 = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     rubygem-uglifier
Recommends:     rubygem-sass-rails-3_2 
Recommends:     rubygem-sqlite3
Recommends:     rubygem-jquery-rails
Recommends:     rubygem-coffee-rails rubygem-coffee-script-source
%rubygems_requires

%description
Ruby on Rails is a full-stack web framework optimized for programmer happiness and sustainable productivity. It encourages beautiful code by favoring convention over configuration.

%package doc
Summary:        RDoc documentation for %{mod_name}
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}

%description doc
Documentation generated at gem installation time.
Usually in RDoc and RI formats.

%prep
%build
%install
%gem_install %{SOURCE0}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_full_name}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_full_name}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_full_name}.gemspec

%files doc
%defattr(-,root,root,-)
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_full_name}/

%changelog